/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * List of holder registrations
 */
@ApiModel(description = "List of holder registrations")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Holder {
  @SerializedName("name")
  private String name = null;

  @SerializedName("address")
  private Model54 address = null;

  @SerializedName("registrations")
  private Registrations registrations = null;

  public Holder name(String name) {
    this.name = name;
    return this;
  }

   /**
   * Name of the bank account holder
   * @return name
  **/
  @ApiModelProperty(example = "Doe", required = true, value = "Name of the bank account holder")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Holder address(Model54 address) {
    this.address = address;
    return this;
  }

   /**
   * Get address
   * @return address
  **/
  @ApiModelProperty(value = "")
  public Model54 getAddress() {
    return address;
  }

  public void setAddress(Model54 address) {
    this.address = address;
  }

  public Holder registrations(Registrations registrations) {
    this.registrations = registrations;
    return this;
  }

   /**
   * Get registrations
   * @return registrations
  **/
  @ApiModelProperty(value = "")
  public Registrations getRegistrations() {
    return registrations;
  }

  public void setRegistrations(Registrations registrations) {
    this.registrations = registrations;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Holder holder = (Holder) o;
    return Objects.equals(this.name, holder.name) &&
        Objects.equals(this.address, holder.address) &&
        Objects.equals(this.registrations, holder.registrations);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, address, registrations);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Holder {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("    registrations: ").append(toIndentedString(registrations)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

